<script>
    export let city = "Chicago";
    export let scaling = "per line";
  
    const clickScale = (newScale) => {
      scaling = newScale;
    };
  
    const clickCity = (newCity) => {
      city = newCity;
    };
  </script>
  
  <div class="container">
    <div class="row">
      
      <!--Radio buttons for city-->
      <div class="col-sm">
        <p>Location:</p>
        <div id="scaling-buttons-2">
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="flexRadioDefault2"
              id="flexRadioDefault3"
              checked
              on:click={() => clickCity("Baltimore")}
            />
            <label class="form-check-label" for="flexRadioDefault3">
              Baltimore
            </label>
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="flexRadioDefault2"
              id="flexRadioDefault4"
              on:click={() => clickCity("Chicago")}
            />
            <label class="form-check-label" for="flexRadioDefault4">
              Chicago
            </label>
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="flexRadioDefault2"
              id="flexRadioDefault5"
              on:click={() => clickCity("Los Angeles")}
            />
            <label class="form-check-label" for="flexRadioDefault5">
              Los Angeles
            </label>
          </div>
        </div>
      </div>

      <!--Radio buttons for scaling-->
      <div class="col-sm">
        <p>Scaling:</p>
        <div id="scaling-buttons">
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="flexRadioDefault"
              id="flexRadioDefault1"
              checked
              on:click={() => clickScale("per line")}
            />
            <label class="form-check-label" for="flexRadioDefault1">
              Across building type
            </label>
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="flexRadioDefault"
              id="flexRadioDefault2"
              on:click={() => clickScale("across all")}
            />
            <label class="form-check-label" for="flexRadioDefault2">
              Across all building types
            </label>
          </div>
        </div>
      </div>
  
    </div>
  </div>
  